package com.td.boss.config.enums;

import lombok.Getter;

/**
 * 返回的
 * @author:slambb
 * @date:2019/12/5
 */
@Getter
public enum ResultEnum {
    SUCCESS(0,"成功"),
    TOKEN_SUCCESS(300,"用户授权认证通过!"),
    TOKEN_IS_ILLEGAL(301,"用户授权认证没有通过!客户端请求参数TOKEN信息无效"),
    TOKEN_DOES_NOT_EXIST(302,"用户授权认证没有通过!客户端请求参数中无TOKEN信息"),

    ;
    private Integer code;

    private String message;

    ResultEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
